> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Thread Feedback

> List all feedback across all messages in a thread.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/conversations/{thread_id}/feedback
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/conversations/{thread_id}/feedback:
    get:
      tags:
        - Conversations
      summary: List Thread Feedback
      description: List all feedback across all messages in a thread.
      operationId: core_api_v1_controllers_conversations_list_thread_feedback
      parameters:
        - in: path
          name: thread_id
          schema:
            title: Thread Id
            type: string
          required: true
        - in: query
          name: page
          schema:
            default: 1
            title: Page
            type: integer
          required: false
        - in: query
          name: page_size
          schema:
            default: 50
            title: Page Size
            type: integer
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedbackListOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    FeedbackListOut:
      properties:
        object:
          default: list
          title: Object
          type: string
        data:
          items:
            $ref: '#/components/schemas/FeedbackOut'
          title: Data
          type: array
        has_more:
          title: Has More
          type: boolean
        total:
          title: Total
          type: integer
      required:
        - data
        - has_more
        - total
      title: FeedbackListOut
      type: object
    FeedbackOut:
      properties:
        object:
          default: feedback
          title: Object
          type: string
        id:
          title: Id
          type: string
        message_id:
          title: Message Id
          type: string
        thread_id:
          title: Thread Id
          type: string
        inaccurate:
          default: false
          title: Inaccurate
          type: boolean
        incomplete:
          default: false
          title: Incomplete
          type: boolean
        information_not_found:
          default: false
          title: Information Not Found
          type: boolean
        technical_issue:
          default: false
          title: Technical Issue
          type: boolean
        additional_feedback:
          anyOf:
            - type: string
            - type: 'null'
          title: Additional Feedback
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      required:
        - id
        - message_id
        - thread_id
      title: FeedbackOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````